> ## Documentation Index
> Fetch the complete documentation index at: https://developers.podero.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Check if a wallbox claim token has been claimed



## OpenAPI

````yaml https://app.podero.com/api/partners/v2.0/openapi.json get /api/partners/v2.0/device-onboarding/{onboarding_session_id}/wallbox-claim-tokens/{token}/status
openapi: 3.1.0
info:
  title: Podero Partner API
  version: '2.0'
  description: >-
    This API provides a unified interaction point for Podero's partner
    companies.


    The goal of this API is to give partners easily integratable endpoints that
    don't require extensive software

    development. For this reason, the endpoints focus around user and device
    management, setting of preferences

    and high level device controls.


    While direct control of devices is implemented for special use cases such as
    pause power, we abstract away low level

    direct device steering so developers and partners can focus on delivering
    maximum value to end users.
  termsOfService: https://www.podero.com/terms-and-conditions
servers: []
security: []
paths:
  /api/partners/v2.0/device-onboarding/{onboarding_session_id}/wallbox-claim-tokens/{token}/status:
    get:
      tags:
        - Device Onboarding Sessions
      summary: Check if a wallbox claim token has been claimed
      operationId: >-
        integrations_api_api_v2_device_onboarding_router_check_claim_token_status
      parameters:
        - in: path
          name: onboarding_session_id
          schema:
            format: uuid
            title: Onboarding Session Id
            type: string
          required: true
        - in: path
          name: token
          schema:
            title: Token
            type: string
          required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClaimTokenStatusOutput'
components:
  schemas:
    ClaimTokenStatusOutput:
      properties:
        claimed:
          title: Claimed
          type: boolean
        connection_state:
          default: waiting
          enum:
            - waiting
            - claimed
            - expired
          title: Connection State
          type: string
        boot_attempt_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Boot Attempt At
        wallbox_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Wallbox Id
        manufacturer:
          anyOf:
            - type: string
            - type: 'null'
          title: Manufacturer
        model:
          anyOf:
            - type: string
            - type: 'null'
          title: Model
        firmware_version:
          anyOf:
            - type: string
            - type: 'null'
          title: Firmware Version
      required:
        - claimed
      title: ClaimTokenStatusOutput
      type: object

````